import * as core from "@terrascript/core";

export interface QueryLogArgs extends core.ResourceArgs {
  cloudwatchLogGroupArn: string | core.StringOut;

  zoneId: string | core.StringOut;
}

export class QueryLog extends core.Resource<QueryLogArgs> {
  @core.attr(String, { computed: true })
  public arn!: string | core.StringOut;

  @core.attr(String)
  public cloudwatchLogGroupArn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public zoneId!: string | core.StringOut;

  constructor(name: string, args?: QueryLogArgs) {
    super(name, "aws_route53_query_log", args);
  }

  public override getNamespace(): string {
    return "aws_route53";
  }
}
